Get Surveys Submissions

http
GET https://services.leadconnectorhq.com/surveys/submissions

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT
pagenumberNo1Page No. By default it will be 1
limitnumberNo20Limit Per Page records count. will allow maximum up to 100 and default will be 20
surveyIdstringNojjusM6EOngDExnbo2DbUFilter submission by survey id
qstringNojohn@deo.comFilter by contactId, name, email or phone no.
startAtstringNo2020-11-14Get submission by starting of this date. By default it will be same date of last month(YYYY-MM-DD).
endAtstringNo2020-12-14Get submission by ending of this date. By default it will be current date(YYYY-MM-DD).

Responses

200 - Successful response
  • submissions (object[])

    • id (string): Example: be759b9a-c3ec-4b29-ba07-fc3c89c77673

    • contactId (string): Example: 9NkT25Vor1v4aQatFsv2

    • createdAt (string): Example: 2020-11-01T18:02:21.000Z

    • surveyId (string): Example: jjusM6EOngDExnbo2DbU

    • name (string): Example: test

    • email (string): Example: test@test.com

    • others (object)

      • __submissions_other_field__ (string): Example: john@deo.com

      • __custom_field_id__ (string): Example: 20

      • eventData (object)

        • fbc (string): Example: fb.1.123456789.987654321

        • fbp (string): Example: fbp.1.987654321.123456789

        • page (object)

          • url (string): Example: https://example.com

          • title (string): Example: Example Page

        • type (string): Example: page-visit

        • domain (string): Example: example.com

        • medium (string): Example: survey

        • source (string): Example: Direct traffic

        • version (string): Example: v3

        • adSource (string): Example: example-ad-source

        • mediumId (string): Example: medium-id-123

        • parentId (string): Example: parent-id-456

        • referrer (string): Example: https://app.leadwaycrm.com

        • fbEventId (string): Example: event-id-789

        • timestamp (number): Example: 1234567890

        • parentName (string): Example: Parent Survey

        • fingerprint (string): Example: example-fingerprint

        • pageVisitType (string): Example: survey

        • contactSessionIds (object)

      • fieldsOriSequance (string[])

  • meta (object)

    • total (number): Example: 1

    • currentPage (number): Example: 1

    • nextPage (number)

    • prevPage (number)

json
{
  "submissions": [
    {
      "id": "be759b9a-c3ec-4b29-ba07-fc3c89c77673",
      "contactId": "9NkT25Vor1v4aQatFsv2",
      "createdAt": "2020-11-01T18:02:21.000Z",
      "surveyId": "jjusM6EOngDExnbo2DbU",
      "name": "test",
      "email": "test@test.com",
      "others": {
        "__submissions_other_field__": "john@deo.com",
        "__custom_field_id__": "20",
        "eventData": {},
        "fieldsOriSequance": [
          "full_name",
          "first_name",
          "last_name",
          "phone",
          "email"
        ]
      }
    }
  ],
  "meta": {
    "total": 1,
    "currentPage": 1
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/surveys/submissions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?